UpsideDown Example |
Using Programming Languages other than VBA
Sub Example_UpsideDown() ' This example creates a text object in model space and ' uses the UpsideDown property to flip the text vertically Dim textObj As AcadText Dim textString As String Dim insertionPoint(0 To 2) As Double Dim height As Double ' Define the new Text object textString = "Hello, World." insertionPoint(0) = 3: insertionPoint(1) = 3: insertionPoint(2) = 0 height = 0.5 ' Create the Text object in model space Set textObj = ThisDrawing.ModelSpace.AddText(textString, insertionPoint, height) ThisDrawing.Application.ZoomAll MsgBox "The Text oject is now right side up" textObj.UpsideDown = True ThisDrawing.Regen acActiveViewport MsgBox "The Text object is now upside down" End Sub
Comments? |